﻿<?xml version="1.0" encoding="utf-8" ?>
<ContentPage xmlns="http://xamarin.com/schemas/2014/forms"
             xmlns:x="http://schemas.microsoft.com/winfx/2009/xaml"
             x:Class="COMPP.Views.AddProfilePicturePage"
             Shell.NavBarIsVisible="False"
             BackgroundColor="White">

    <ContentPage.Content>
        <StackLayout>
            <Grid HorizontalOptions="FillAndExpand" VerticalOptions="FillAndExpand" >
                <Image Source="background.png" Aspect="AspectFill"></Image>
                <Grid VerticalOptions="Start">
                    <Image Source="shape_addprofile.png" Aspect="AspectFit"/>
                </Grid>
                <Grid HorizontalOptions="FillAndExpand" VerticalOptions="FillAndExpand" RowSpacing="20" Padding="70,70,70,0">
                    <Grid.RowDefinitions>
                        <RowDefinition Height="Auto"></RowDefinition>
                        <RowDefinition Height="Auto"></RowDefinition>
                        <RowDefinition Height="Auto"></RowDefinition>
                        <RowDefinition Height="Auto"></RowDefinition>
                        <RowDefinition Height="Auto"></RowDefinition>
                        <RowDefinition Height="Auto"></RowDefinition>
                        <RowDefinition Height="Auto"></RowDefinition>
                        <RowDefinition Height="Auto"></RowDefinition>
                        <RowDefinition Height="Auto"></RowDefinition>
                        <RowDefinition Height="Auto"></RowDefinition>
                        <RowDefinition Height="Auto"></RowDefinition>
                        <RowDefinition Height="Auto"></RowDefinition>
                        <RowDefinition Height="Auto"></RowDefinition>
                        <RowDefinition Height="Auto"></RowDefinition>
                        <RowDefinition Height="Auto"></RowDefinition>
                    </Grid.RowDefinitions>
                    <Label Grid.Row="4"  Text="Tambah Foto Profil" FontSize="36" TextColor="#47B2BA" HorizontalOptions="CenterAndExpand"></Label>
                    <Frame Grid.Row="6"
                           Padding="0" Margin="0" 
                           CornerRadius="100" 
                           HeightRequest="200"
                           WidthRequest="200"
                           HorizontalOptions="Center"
                           VerticalOptions="Center">
                        <Image Source="{Binding ImageSource}" Aspect="AspectFill"></Image>
                    </Frame>
                    <Button Grid.Row="8" Text="Pilih Foto" FontSize="18" TextColor="White" BackgroundColor="#47B2BA" CornerRadius="20" HorizontalOptions="Center" WidthRequest="150" HeightRequest="40" Command="{Binding PictureCommand}"></Button>
                    <Button Grid.Row="10" Text="Lanjutkan" FontSize="18" TextColor="White" BackgroundColor="#47B2BA" CornerRadius="20" HeightRequest="40" Command="{Binding AddProfile}"></Button>
            </Grid>
                </Grid>
        </StackLayout>
    </ContentPage.Content>

</ContentPage>
